Command reference
deployments deployment
Environment agent deployments
| Command | Summary |
|---|---|
deployments deployment create | Create an agent deployment |
deployments deployment list | List agent deployments |
deployments deployment show | Show an agent deployment |
deployments deployment pause | Pause an agent deployment |
deployments deployment resume | Resume an agent deployment |
deployments deployment update | Update an agent deployment |
deployments deployment rollback | Roll an agent deployment back to an earlier release |
deployments deployment canary-start | Start a canary for a candidate agent release |
deployments deployment canary-promote | Promote the canary candidate to primary |
deployments deployment canary-abort | Abort the active canary |
deployments deployment stop | Stop an agent deployment |
deployments deployment create
Create an agent deployment.
deployments deployment create --release <release>- Calls
POST /v1/agent-deployments(SDKcreateAgentDeployment). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--release | string | yes | Agent release ID | |
--desired-state | string | running or paused | ||
--runtime-config | string (json) | Deployment runtime configuration |
Also accepts the global flags.
deployments deployment list
List agent deployments.
deployments deployment list- Calls
GET /v1/agent-deployments(SDKlistAgentDeployments). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size |
Also accepts the global flags.
deployments deployment show
Show an agent deployment.
deployments deployment show <id>- Calls
GET /v1/agent-deployments/{id}(SDKgetAgentDeployment). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments deployment pause
Pause an agent deployment.
deployments deployment pause <id> --expected-version <number>- Calls
PATCH /v1/agent-deployments/{id}(SDKupdateAgentDeployment). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.
deployments deployment resume
Resume an agent deployment.
deployments deployment resume <id> --expected-version <number>- Calls
PATCH /v1/agent-deployments/{id}(SDKupdateAgentDeployment). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.
deployments deployment update
Update an agent deployment.
deployments deployment update <id> --expected-version <number>- Calls
PATCH /v1/agent-deployments/{id}(SDKupdateAgentDeployment). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version | |
--runtime-config | string (json) | Deployment runtime configuration | ||
--release | string | Retarget to this agent release ID |
Also accepts the global flags.
deployments deployment rollback
Roll an agent deployment back to an earlier release.
deployments deployment rollback <id> --to <to> --expected-version <number>- Calls
PATCH /v1/agent-deployments/{id}(SDKupdateAgentDeployment). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--to | string | yes | Agent release ID to roll back to | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.
deployments deployment canary-start
Start a canary for a candidate agent release.
deployments deployment canary-start <id> --release <release> --weight <number> --expected-version <number>- Calls
POST /v1/agent-deployments/{id}/canary(SDKstartAgentDeploymentCanary). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--release | string | yes | Candidate agent release ID | |
--weight | string (number) | yes | Candidate traffic percentage (1-99) | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.
deployments deployment canary-promote
Promote the canary candidate to primary.
deployments deployment canary-promote <id> --expected-version <number>- Calls
POST /v1/agent-deployments/{id}/canary/promote(SDKpromoteAgentDeploymentCanary). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.
deployments deployment canary-abort
Abort the active canary.
deployments deployment canary-abort <id> --expected-version <number>- Calls
POST /v1/agent-deployments/{id}/canary/abort(SDKabortAgentDeploymentCanary). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.
deployments deployment stop
Stop an agent deployment.
deployments deployment stop <id> --expected-version <number>- Calls
DELETE /v1/agent-deployments/{id}(SDKstopAgentDeployment). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.